Subject: Re: bug#7034: 23.2; Open remote files (via FTP) fails on (my) Windows XP port

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Sep 2010 22:20:06 +0200

> Date: Tue, 14 Sep 2010 20:57:49 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: 
> 
> 1.- Start Emacs (anyhow).
> 2.- Type `C-x C-f'.
> 3.- In the minibuffer, write the PATH of a remote file, accessible via
> FTP. For example: `/ftp:[email-masked]:/pub/mozilla.org/README'.

I cannot reproduce this, on Windows XP SP2.  It works for me.

> Am I doing something wrong? Or is it a bug? (This same procedure works
> in the Ubuntu port!!)

I would suspect some network setup, because where you get your
connection closed:

    257 "/"
    cd "/pub/mozilla.org/README/"
    550 Failed to change directory.
    cd "/pub/mozilla.org/README/"
    550 Failed to change directory.
    cd "/pub/mozilla.org/"
    250 Directory successfully changed.
    ls -al c:/DOCUME~1/admin/LOCALS~1/Temp/ange-ftp4012GxJ
    Connection closed by remote host.
    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

I get the directory listing:

    257 "/"
    cd "/pub/mozilla.org/README/"
    550 Failed to change directory.
    cd "/pub/mozilla.org/README/"
    550 Failed to change directory.
    cd "/pub/mozilla.org/"
    250 Directory successfully changed.
    ls -al c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/ange-ftp2956QFL
    200 PORT command successful. Consider using PASV.
    150 Here comes the directory listing.